XBCLOUD(1)

NAME
xbcloud - Manage backups on cloud services

DESCRIPTION
./bin/xbcloud Ver 8.4.0-1 for Linux (aarch64) (revision id: da6e1abd) Copyright © 2015, 2021 Percona LLC and/or its affiliates. This software comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to modify and redistribute it under the GPL license.

Manage backups on the cloud services.

  Usage:

    ./bin/xbcloud put [OPTIONS...] <NAME> upload backup from STDIN into the cloud service with given name. ./bin/xbcloud get [OPTIONS...] <NAME> [FILES...] stream specified backup or individual files from the cloud service into STDOUT. ./bin/xbcloud delete [OPTIONS...] <NAME> [FILES...] delete specified backup or individual files from the cloud service.

OPTIONS

-c, --defaults-file=name
    Name of config file to read; if no extension is given, default extension (e.g., .ini or .cnf) will be added

-?, --help
    Display this help and exit.

-V, --version
    Display version and exit.

--storage=name
    Specify storage type S3/SWIFT/GOOGLE/AZURE.

--swift-auth-version=name
    Swift authentication verison to use.

--swift-container=name
    Swift container to store backups into.

--swift-user=name
    Swift user name.

--swift-user-id=name
    Swift user ID.

--swift-auth-url=name
    Base URL of SWIFT authentication service.

--swift-storage-url=name
    URL of object-store endpoint. Usually received from authentication service. Specify to override this value.

--swift-key=name
    Swift key.

--swift-tenant=name The tenant name. Both the --swift-tenant and
    --swift-tenant-id options are optional, but should not be specified together.

--swift-tenant-id=name
    The tenant ID. Both the --swift-tenant and --swift-tenant-id options are optional, but should not be specified together.

--swift-project=name
    The project name.

--swift-project-id=name
    The project ID.

--swift-domain=name The user domain name.

--swift-domain-id=name
    The user domain ID.

--swift-project-domain=name
    The project domain name.

--swift-project-domain-id=name
    The project domain ID.

--swift-password=name
    The password of the user.

--swift-region=name The region object-store endpoint.

--parallel=#
    Number of parallel chunk uploads.

--fifo-streams=#
    Number of parallel fifo stream threads.

--fifo-dir=name
    Directory to read/write Named Pipe. On put mode, xbcloud read from named pipes. On get mode, xbcloud writes to named pipes.

--fifo-timeout=#
    How many seconds to wait for other end to open the stream. Default 60 seconds

--timeout=#
    How many seconds to wait for activity on TCP connection. Setting this to 0 means no timeout. Default 120 seconds

--max-retries=#
    Number of retries of chunk uploads/downloads after a failure (Default 10).

--max-backoff=#
    Maximum backoff delay in milliseconds in between chunk uploads/downloads retries (Default 300000).

--s3-region=name
    S3 region.

--s3-endpoint=name
    S3 endpoint.

--s3-access-key=name
    S3 access key.

--s3-secret-key=name
    S3 secret key.

--s3-session-token=name
    S3 session token.

--s3-storage-class=name
    S3 storage class. STANDARD|STANDARD_IA|GLACIER|... ... is meant for passing custom storage class names provided by other S3 implementations such as MinIO CephRadosGW, etc.

--s3-bucket=name
    S3 bucket.

--s3-bucket-lookup=name
    Bucket lookup method.

--s3-api-version=name
    S3 API version.

--azure-storage-account=name
    AZURE storage account.

--azure-container-name=name
    AZURE container name.

--azure-access-key=name
    AZURE access key.

--azure-development-storage
    To run against azurite emulator use --azure-development-storage. It can work with the default credentials provided by azurite. For example, it uses http://127.0.0.1:10000 as the default endpoint, which can be overwritten by --azure-endpoint. Users can also provide --azure-access-key, --azure-storage-account, --azure-container-name

--azure-endpoint=name
    Azure cloud storage endpoint.

--azure-tier-class=name
    Azure cloud tier class. Hot|Cool|Archive

--google-region=name
    Google cloud storage region.

--google-endpoint=name
    Google cloud storage endpoint.

--google-access-key=name
    Google cloud storage access key.

--google-secret-key=name
    Google cloud storage secret key.

--google-session-token=name
    Google cloud storage session token.

--google-storage-class=name
    Google cloud storage class. STANDARD|NEARLINE|COLDLINE|ARCHIVE

--google-bucket=name
    Google cloud storage bucket.

--cacert=name
    CA certificate file.

--header=name
    Extra header.

--insecure
    Do not verify server SSL certificate.

--md5
    Upload MD5 file into the backup dir.

--verbose
    Turn ON cURL tracing.

--curl-retriable-errors=name
    Add a new curl error code as retriable. For multiple codes, use a comma separated list of codes.

--http-retriable-errors=name
    Add a new http error code as retriable. For multiple codes, use a comma separated list of codes.